bitel.billing.server.email.bean

## Class AccountManager

- java.lang.Object
- - bitel.billing.server.email.bean.AccountManager

-     public class AccountManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `checkAccount(Account account)` Проверка наличия подобного аккаунта в БД.
    `void` | `deleteAccount(int id)` Удаление аккаунта по его коду.
    `java.util.List<Account>` | `findAccounts(java.lang.String mask, int domainId)` Поиск аккаунтов в домене.
    `Account` | `getAccountById(int id)` Получение аккаунта по его коду.
    `Account` | `getAccountByID(int id)` Deprecated.
    `java.util.List<Account>` | `getContractAccountList(int cid)` Получение списка аккаунтов договора.
    `java.util.List<Account>` | `getContractAccountList(int cid, java.util.Date date)`
    `int` | `getContractAccountsCount(int cid, java.util.Date date)`
    `java.util.List<Account>` | `getNeedCloseAccountList(java.util.Date date)`
    `java.util.List<Account>` | `getNeedOpenAccountList(java.util.Date date)`
    `protected java.lang.String` | `getTableName(int mid)`
    `void` | `updateAccount(Account account)` Изменение/добавление аккаунта.
    `void` | `updateAccount(java.lang.String id, Account account)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### AccountManager

          public AccountManager(java.sql.Connection con,
                                int mid)

  - ### Method Detail

    - #### getTableName

          protected java.lang.String getTableName(int mid)

    - #### getContractAccountsCount

          public int getContractAccountsCount(int cid,
                                              java.util.Date date)

    - #### getContractAccountList

          public java.util.List<Account> getContractAccountList(int cid)

      Получение списка аккаунтов договора.
      Parameters:
        `cid` - код договора
      Returns:

    - #### getContractAccountList

          public java.util.List<Account> getContractAccountList(int cid,
                                                                java.util.Date date)

    - #### findAccounts

          public java.util.List<Account> findAccounts(java.lang.String mask,
                                                      int domainId)

      Поиск аккаунтов в домене.
      Parameters:
        `mask` - подстрока с именем аккаунта
        `domainId` - код домена
      Returns:

    - #### checkAccount

          public java.lang.String checkAccount(Account account)

      Проверка наличия подобного аккаунта в БД.
      Parameters:
        `account` -
      Returns:

    - #### getAccountByID

          @Deprecated
          public Account getAccountByID(int id)

      Deprecated.
      Использовать `getAccountByID(int)`
      Parameters:
        `id` -
      Returns:

    - #### getAccountById

          public Account getAccountById(int id)

      Получение аккаунта по его коду.
      Parameters:
        `id` -
      Returns:

    - #### updateAccount

          @Deprecated
          public void updateAccount(java.lang.String id,
                                                Account account)
                                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Использовать `updateAccount(Account)`.
      Parameters:
        `id` -
        `account` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAccount

          public void updateAccount(Account account)

      Изменение/добавление аккаунта.
      Parameters:
        `account` -

    - #### deleteAccount

          public void deleteAccount(int id)

      Удаление аккаунта по его коду.
      Parameters:
        `id` -

    - #### getNeedOpenAccountList

          public java.util.List<Account> getNeedOpenAccountList(java.util.Date date)

    - #### getNeedCloseAccountList

          public java.util.List<Account> getNeedCloseAccountList(java.util.Date date)